Bug 104032 - [PATCH] x11-toolkits/xview: fix build with gcc41
[PATCH] x11-toolkits/xview: fix build with gcc41
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 21:50 UTC by trasz
Modified: 2006-10-07 11:30 UTC (History)
0 users

See Also:


Attachments
xview-3.2.1_4.patch (25.76 KB, patch)
2006-10-05 21:50 UTC, trasz
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description trasz 2006-10-05 21:50:22 UTC
 - Fix build with gcc41
 - Make it respect $CC
 - Install fonts, it fails without them.

Added file(s):
- files/patch-lib+libxview+dnd+dnd_dsdm.c
- files/patch-lib+libxview+misc+quark.c
- files/patch-lib+libxview+panel+item_set.c
- files/patch-lib+libxview+textsw+es.h
- files/patch-lib+libxview+textsw+ev_display.c
- files/patch-lib+libxview+textsw+ps_impl.h
- files/patch-lib+libxview+window+window_set.c
- files/pkg-message.in

Generated with FreeBSD Port Tools 0.77
Comment 1 Martin Wilke freebsd_committer 2006-10-05 22:22:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2006-10-06 18:54:00 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool. my tb is borken with this.
Comment 3 pav freebsd_committer 2006-10-07 11:03:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Take a shot on this
Comment 4 dfilter freebsd_committer 2006-10-07 11:28:45 UTC
pav         2006-10-07 10:28:40 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/xview   Makefile pkg-plist 
    x11-toolkits/xview/files patch-config+XView.cf 
                             patch-lib+libxview+file_chooser+file_list.c 
                             patch-lib+libxview+misc+gettext.c 
                             patch-lib+libxview+textsw+txt_e_menu.c 
                             patch-lib+libxview+textsw+txt_input.c 
                             patch-lib+libxview+textsw+txt_once.c 
                             patch-lib+libxview+win+win_input.c 
  Added files:
    x11-toolkits/xview/files patch-lib+libxview+dnd+dnd_dsdm.c 
                             patch-lib+libxview+misc+quark.c 
                             patch-lib+libxview+panel+item_set.c 
                             patch-lib+libxview+textsw+es.h 
                             patch-lib+libxview+textsw+ev_display.c 
                             patch-lib+libxview+textsw+ps_impl.h 
                             patch-lib+libxview+window+window_set.c 
                             pkg-message.in 
  Log:
  - Fix build with gcc41
  - Respect CC
  - Install fonts
  
  PR:             ports/104032
  Submitted by:   trasz <trasz@pin.if.uz.zgora.pl>
  
  Revision  Changes    Path
  1.42      +8 -2      ports/x11-toolkits/xview/Makefile
  1.2       +11 -2     ports/x11-toolkits/xview/files/patch-config+XView.cf
  1.1       +20 -0     ports/x11-toolkits/xview/files/patch-lib+libxview+dnd+dnd_dsdm.c (new)
  1.2       +11 -11    ports/x11-toolkits/xview/files/patch-lib+libxview+file_chooser+file_list.c
  1.3       +4 -3      ports/x11-toolkits/xview/files/patch-lib+libxview+misc+gettext.c
  1.1       +11 -0     ports/x11-toolkits/xview/files/patch-lib+libxview+misc+quark.c (new)
  1.1       +11 -0     ports/x11-toolkits/xview/files/patch-lib+libxview+panel+item_set.c (new)
  1.1       +13 -0     ports/x11-toolkits/xview/files/patch-lib+libxview+textsw+es.h (new)
  1.1       +11 -0     ports/x11-toolkits/xview/files/patch-lib+libxview+textsw+ev_display.c (new)
  1.1       +11 -0     ports/x11-toolkits/xview/files/patch-lib+libxview+textsw+ps_impl.h (new)
  1.2       +44 -22    ports/x11-toolkits/xview/files/patch-lib+libxview+textsw+txt_e_menu.c
  1.2       +35 -3     ports/x11-toolkits/xview/files/patch-lib+libxview+textsw+txt_input.c
  1.2       +5 -4      ports/x11-toolkits/xview/files/patch-lib+libxview+textsw+txt_once.c
  1.3       +16 -7     ports/x11-toolkits/xview/files/patch-lib+libxview+win+win_input.c
  1.1       +20 -0     ports/x11-toolkits/xview/files/patch-lib+libxview+window+window_set.c (new)
  1.1       +11 -0     ports/x11-toolkits/xview/files/pkg-message.in (new)
  1.15      +157 -0    ports/x11-toolkits/xview/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 pav freebsd_committer 2006-10-07 11:28:49 UTC
State Changed
From-To: open->closed

Committed with fixes.